@import controllers.formview.UsersForm
@(widgets: Seq[RegUser], form: Form[UsersForm.Data], postUrl: Call)(implicit request: MessagesRequestHeader)

  @base_main("Register") {

    <div class="columns is-desktop">
        <div class="container-set-top-left">
            <a href="/" class="button"> Index </a>
        </div>
        <div class="column is-half is-offset-one-quarter" align="center">
            @if(form.hasGlobalErrors) {
                @form.globalErrors.map { error: FormError =>
                    <div>
                        @error.key: @error.message
                    </div>
                }
            }
            <img src="@routes.Assets.versioned("images/logo-jaylerr.png")"  width="300">
            @helper.form(postUrl) {
                <hr/>
                @helper.CSRF.formField
                <div class="field">
                    <div class="control">
                        <input class="input" type="email" placeholder="email" name="email">
                    </div>
                </div>

                <div class="field">
                    <div class="control">
                        <input class="input" type="text" placeholder="name" name="name">
                    </div>
                </div>

                <div class="field">
                    <div class="control">
                        <input class="input" type="password" placeholder="password" name="password">
                    </div>
                </div>

                <div class="field">
                    <div class="control">
                        <input class="input" type="password" placeholder="confirm password" name="repassword">
                    </div>
                </div>

                <div class="control">
                    <button class="button is-primary" type="submit">Register</button>
                </div> <br>
                <h4 class="content-regnow">  Already have an account? <a href="/login">login</a></h4>
            }
        </div>
    </div>

  }